Debian Bug report logs - #659747
gem: FTBFS(kfreebsd): missing headers

version graph

Package: src:gem; Maintainer for src:gem is Paul Brossier <piem@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Mon, 13 Feb 2012 14:51:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in versions gem/1:0.93.3-2, gem/1:0.93.3-3

Fixed in version gem/1:0.93.3-5

Done: IOhannes m zmölnig <zmoelnig@iem.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Paul Brossier <piem@debian.org>:
Bug#659747; Package src:gem. (Mon, 13 Feb 2012 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Paul Brossier <piem@debian.org>. (Mon, 13 Feb 2012 14:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: gem: FTBFS(kfreebsd): gem::thread::WorkerThread::PIMPL::start()::timeval sleep' has incomplete type and cannot be defined
Date: Mon, 13 Feb 2012 15:47:40 +0100
Package: src:gem
Version: 1:0.93.3-2
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

/bin/bash ../../libtool  --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I../../src  -I../../src  -DHAVE_VERSION_H -DPD -I/usr/include/pd -I/usr/include/GL    -freg-struct-return -O3 -falign-loops -falign-functions -falign-jumps -funroll-loops -ffast-math -mmmx -MT libGem_la-WorkerThread.lo -MD -MP -MF .deps/libGem_la-WorkerThread.Tpo -c -o libGem_la-WorkerThread.lo `test -f 'WorkerThread.cpp' || echo './'`WorkerThread.cpp
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../../src -I../../src -DHAVE_VERSION_H -DPD -I/usr/include/pd -I/usr/include/GL -freg-struct-return -O3 -falign-loops -falign-functions -falign-jumps -funroll-loops -ffast-math -mmmx -MT libGem_la-WorkerThread.lo -MD -MP -MF .deps/libGem_la-WorkerThread.Tpo -c WorkerThread.cpp  -fPIC -DPIC -o .libs/libGem_la-WorkerThread.o
WorkerThread.cpp: In member function 'bool gem::thread::WorkerThread::PIMPL::start()':
WorkerThread.cpp:136:22: error: aggregate 'gem::thread::WorkerThread::PIMPL::start()::timeval sleep' has incomplete type and cannot be defined
WorkerThread.cpp:140:30: error: 'select' was not declared in this scope
WorkerThread.cpp: In member function 'bool gem::thread::WorkerThread::PIMPL::stop(bool)':
WorkerThread.cpp:155:22: error: aggregate 'gem::thread::WorkerThread::PIMPL::stop(bool)::timeval sleep' has incomplete type and cannot be defined
WorkerThread.cpp:159:30: error: 'select' was not declared in this scope
make[4]: *** [libGem_la-WorkerThread.lo] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=gem&arch=kfreebsd-i386&ver=1%3A0.93.3-2&stamp=1328907688

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org
-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Paul Brossier <piem@debian.org>:
Bug#659747; Package src:gem. (Tue, 14 Feb 2012 11:52:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to IOhannes m zmölnig <zmoelnig@iem.at>:
Extra info received and forwarded to list. Copy sent to Paul Brossier <piem@debian.org>. (Tue, 14 Feb 2012 11:52:25 GMT) Full text and rfc822 format available.

Message #10 received at 659747@bugs.debian.org (full text, mbox):

From: IOhannes m zmölnig <zmoelnig@iem.at>
To: Christoph Egger <christoph@debian.org>, 659747@bugs.debian.org
Subject: Re: Bug#659747: gem: FTBFS(kfreebsd): gem::thread::WorkerThread::PIMPL::start()::timeval sleep' has incomplete type and cannot be defined
Date: Tue, 14 Feb 2012 12:50:49 +0100
On 02/13/12 15:47, Christoph Egger wrote:
> Hi!
>
> Your package failed to build on the kfreebsd-* buildds:
>

thanks, i committed a fix to the packaging repository, so the next 
upload should not have this issue any more.

since gem is part of the glew1.6->1.7 migration this might take some time...

gfmasf
IOhannes




Reply sent to IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>:
You have taken responsibility. (Fri, 17 Feb 2012 20:51:20 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Fri, 17 Feb 2012 20:51:20 GMT) Full text and rfc822 format available.

Message #15 received at 659747-close@bugs.debian.org (full text, mbox):

From: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
To: 659747-close@bugs.debian.org
Subject: Bug#659747: fixed in gem 1:0.93.3-3
Date: Fri, 17 Feb 2012 20:49:28 +0000
Source: gem
Source-Version: 1:0.93.3-3

We believe that the bug you reported is fixed in the latest version of
gem, which is due to be installed in the Debian FTP archive:

gem-dev_0.93.3-3_all.deb
  to main/g/gem/gem-dev_0.93.3-3_all.deb
gem-doc_0.93.3-3_all.deb
  to main/g/gem/gem-doc_0.93.3-3_all.deb
gem-extra_0.93.3-3_amd64.deb
  to main/g/gem/gem-extra_0.93.3-3_amd64.deb
gem-plugin-dc1394_0.93.3-3_amd64.deb
  to main/g/gem/gem-plugin-dc1394_0.93.3-3_amd64.deb
gem-plugin-dv4l_0.93.3-3_amd64.deb
  to main/g/gem/gem-plugin-dv4l_0.93.3-3_amd64.deb
gem-plugin-gmerlin_0.93.3-3_amd64.deb
  to main/g/gem/gem-plugin-gmerlin_0.93.3-3_amd64.deb
gem-plugin-jpeg_0.93.3-3_amd64.deb
  to main/g/gem/gem-plugin-jpeg_0.93.3-3_amd64.deb
gem-plugin-lqt_0.93.3-3_amd64.deb
  to main/g/gem/gem-plugin-lqt_0.93.3-3_amd64.deb
gem-plugin-magick_0.93.3-3_amd64.deb
  to main/g/gem/gem-plugin-magick_0.93.3-3_amd64.deb
gem-plugin-mpeg3_0.93.3-3_amd64.deb
  to main/g/gem/gem-plugin-mpeg3_0.93.3-3_amd64.deb
gem-plugin-sgi_0.93.3-3_amd64.deb
  to main/g/gem/gem-plugin-sgi_0.93.3-3_amd64.deb
gem-plugin-tiff_0.93.3-3_amd64.deb
  to main/g/gem/gem-plugin-tiff_0.93.3-3_amd64.deb
gem-plugin-unicap_0.93.3-3_amd64.deb
  to main/g/gem/gem-plugin-unicap_0.93.3-3_amd64.deb
gem-plugin-v4l2_0.93.3-3_amd64.deb
  to main/g/gem/gem-plugin-v4l2_0.93.3-3_amd64.deb
gem_0.93.3-3.debian.tar.gz
  to main/g/gem/gem_0.93.3-3.debian.tar.gz
gem_0.93.3-3.dsc
  to main/g/gem/gem_0.93.3-3.dsc
gem_0.93.3-3_amd64.deb
  to main/g/gem/gem_0.93.3-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659747@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at> (supplier of updated gem package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 17 Feb 2012 20:46:24 +0100
Source: gem
Binary: gem gem-doc gem-dev gem-extra gem-plugin-gmerlin gem-plugin-lqt gem-plugin-mpeg3 gem-plugin-magick gem-plugin-jpeg gem-plugin-tiff gem-plugin-sgi gem-plugin-v4l2 gem-plugin-dv4l gem-plugin-dc1394 gem-plugin-unicap
Architecture: source amd64 all
Version: 1:0.93.3-3
Distribution: unstable
Urgency: low
Maintainer: Paul Brossier <piem@debian.org>
Changed-By: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
Description: 
 gem        - Graphics Environment for Multimedia - Pure Data library
 gem-dev    - Graphics Environment for Multimedia (development files)
 gem-doc    - Graphics Environment for Multimedia (documentation)
 gem-extra  - Graphics Environment for Multimedia - extra objects
 gem-plugin-dc1394 - Graphics Environment for Multimedia - DC1394 support
 gem-plugin-dv4l - Graphics Environment for Multimedia - DV support
 gem-plugin-gmerlin - Graphics Environment for Multimedia - GMERLIN support
 gem-plugin-jpeg - Graphics Environment for Multimedia - JPEG support
 gem-plugin-lqt - Graphics Environment for Multimedia - LQT support
 gem-plugin-magick - Graphics Environment for Multimedia - ImageMagick support
 gem-plugin-mpeg3 - Graphics Environment for Multimedia - MPEG support
 gem-plugin-sgi - Graphics Environment for Multimedia - SGI support
 gem-plugin-tiff - Graphics Environment for Multimedia - TIFF support
 gem-plugin-unicap - Graphics Environment for Multimedia - unicap support
 gem-plugin-v4l2 - Graphics Environment for Multimedia - V4L2 output support
Closes: 659747
Changes: 
 gem (1:0.93.3-3) unstable; urgency=low
 .
   * include proper headers on kFreeBSD (Closes: 659747)
   * disable v4l building (since v4l1-support has been disabled as well)
   * disabled libdv on non-linux
   * force .pd_linux extension on all archs
     - puredata on Debian always uses the .pd_linux extension
Checksums-Sha1: 
 61a3b420832d0cfdecf96abfbe6f425f12b06c47 3063 gem_0.93.3-3.dsc
 a9fe7427304432912e223a2ddda14023a1874a17 13126 gem_0.93.3-3.debian.tar.gz
 c40400c40c358610bfb6ceb61e42efb180d00e47 1615652 gem_0.93.3-3_amd64.deb
 78a21117893fcfa1c5b9d831aa67885e35695089 3440778 gem-doc_0.93.3-3_all.deb
 a59de04e927945d992636f27bab69dea4a026cf5 304040 gem-dev_0.93.3-3_all.deb
 5084832bd0a1e101746b2bf87d0fc7758c88def7 193380 gem-extra_0.93.3-3_amd64.deb
 00919bac6b2e2ae0b2c618a74ec464feb2942f1e 138944 gem-plugin-gmerlin_0.93.3-3_amd64.deb
 fe30f96ac8f084fc0f927943cad3a816c4060d06 160274 gem-plugin-lqt_0.93.3-3_amd64.deb
 362e417b5ffc6eed422610b46849cb2757266df8 139142 gem-plugin-mpeg3_0.93.3-3_amd64.deb
 62f76dbf2e594d6a0f35da516e992722022ccdb2 144270 gem-plugin-magick_0.93.3-3_amd64.deb
 c83eb75b0eacde80fa05dcdc6ebcbefb3f2bc0b1 140442 gem-plugin-jpeg_0.93.3-3_amd64.deb
 4cae69729d5d0fc80ca4c207d1ade1f71a76fc47 138262 gem-plugin-tiff_0.93.3-3_amd64.deb
 f90d446a10acb85d36270a4fa8286fc3cce4b8ca 147500 gem-plugin-sgi_0.93.3-3_amd64.deb
 98320e2979c986fbcfb932cf721c1785907e8897 173288 gem-plugin-v4l2_0.93.3-3_amd64.deb
 156b3a2886e9a9e22976dfd57da3b657093fa8c5 149538 gem-plugin-dv4l_0.93.3-3_amd64.deb
 d81dac0ec153d80a2879af1efe724da03874ca89 157320 gem-plugin-dc1394_0.93.3-3_amd64.deb
 3937d6996407b8ff3d2933a8b8ae0c9b21e6ae35 155348 gem-plugin-unicap_0.93.3-3_amd64.deb
Checksums-Sha256: 
 0d984d3ab684ba03e0f4aa7c0c236e02fdb5f54689f316cbe9ff97c33f829895 3063 gem_0.93.3-3.dsc
 d5e28c68bf2a846bf80b1a1bdd0c578ff7733bbf5321071f15ee971a6e24146c 13126 gem_0.93.3-3.debian.tar.gz
 834e9018e939a5c0663d6ca3284fc55f7dbf9498e855cf747ce65d26f23ca509 1615652 gem_0.93.3-3_amd64.deb
 510d2b58d647d50acd0a3e66b92b8c21da22822641ba0a3ac95e890424839c4c 3440778 gem-doc_0.93.3-3_all.deb
 eca457101f6a5787db5e5e60a1667103aa825505bae51e49f10a48ca59e6394e 304040 gem-dev_0.93.3-3_all.deb
 3c755056ba2bc860912d4adfacc1d61dd6d65ea20ce459c2cb80de0eed340f7c 193380 gem-extra_0.93.3-3_amd64.deb
 c8e175a3885cf1ede7144deaaf76c0e01086accc8bd333dadb46c4617846f086 138944 gem-plugin-gmerlin_0.93.3-3_amd64.deb
 19cb6afd29dffabe11f17142ff48e41c2e3d748cfed34084b441123ddce09988 160274 gem-plugin-lqt_0.93.3-3_amd64.deb
 40e4a19977f9cbbd9d61de039a015d79ca60727064c9f3b50a5b50967b96f445 139142 gem-plugin-mpeg3_0.93.3-3_amd64.deb
 6284b1eabfd58346fe97a3c54818614413d0f480bac3598cb9d1d4062a07f8c4 144270 gem-plugin-magick_0.93.3-3_amd64.deb
 e3af754e037eecbb00f244155f05c099ee3f3891085e2d6ad4f2a5a4ac88b41a 140442 gem-plugin-jpeg_0.93.3-3_amd64.deb
 a90bfedb926c7120cd107a05edd9deb0d3ac03dfd9b1e2907f872a3f40561b82 138262 gem-plugin-tiff_0.93.3-3_amd64.deb
 871bc2ab52af06d29b225e3aef8aefd0cb8e2e9668bf4e6ea71674214b17291b 147500 gem-plugin-sgi_0.93.3-3_amd64.deb
 ddf5ffa175d83ceae915060823614ec874a110fd323fc36454cab8c6a2f8e00e 173288 gem-plugin-v4l2_0.93.3-3_amd64.deb
 82b49847c493ee5da3d75ef479a7ac70e63a5eb3586130243aeab11416820bd1 149538 gem-plugin-dv4l_0.93.3-3_amd64.deb
 a0eda743a54a8be737b3617fb106f105149a1eba624da8ce1f3dc423628ec7c8 157320 gem-plugin-dc1394_0.93.3-3_amd64.deb
 fb6478a9930c3fef1f4c34d9077febec5c617c620ffdc7fd1f7b2c14076f388a 155348 gem-plugin-unicap_0.93.3-3_amd64.deb
Files: 
 1378c99cd18059bbb66228b19db73edf 3063 graphics optional gem_0.93.3-3.dsc
 a1e57c11101e0be7fd7cad823b9603d1 13126 graphics optional gem_0.93.3-3.debian.tar.gz
 37c2c5d6f1a688ebc337ff11a551ea61 1615652 graphics optional gem_0.93.3-3_amd64.deb
 5b9ce7747c57b9ded38e27b0647005ce 3440778 doc optional gem-doc_0.93.3-3_all.deb
 0ab2479d5db02545ad4d840e4bc67f78 304040 libdevel optional gem-dev_0.93.3-3_all.deb
 06709424b0ff0d119f7089c13fa18f46 193380 graphics optional gem-extra_0.93.3-3_amd64.deb
 425488c3875dc6396dbf1507fc646af2 138944 graphics optional gem-plugin-gmerlin_0.93.3-3_amd64.deb
 328909f3612d22fbc27bf66c7407f7c6 160274 graphics optional gem-plugin-lqt_0.93.3-3_amd64.deb
 2e8a1208249431a4df5fbfe0b2529a33 139142 graphics optional gem-plugin-mpeg3_0.93.3-3_amd64.deb
 02cb899de3a87cf855a270b4f26a5da6 144270 graphics optional gem-plugin-magick_0.93.3-3_amd64.deb
 d8c5b4332dd5519507f4966ae99da28d 140442 graphics optional gem-plugin-jpeg_0.93.3-3_amd64.deb
 af2ee9f7021af68999af4994c7c0f6a0 138262 graphics optional gem-plugin-tiff_0.93.3-3_amd64.deb
 57ed307c6f83b7d05f4dd0598cf1e37c 147500 graphics optional gem-plugin-sgi_0.93.3-3_amd64.deb
 a0f6794306f6f1e9f7b65bb05052e6a6 173288 graphics optional gem-plugin-v4l2_0.93.3-3_amd64.deb
 d9cb929ac9e355f60f9fce4245d6c21c 149538 graphics optional gem-plugin-dv4l_0.93.3-3_amd64.deb
 749a5f261a0af5977dfe82e89be659ca 157320 graphics optional gem-plugin-dc1394_0.93.3-3_amd64.deb
 b68def818e3e2c4c53bb0fd3e300c0f9 155348 graphics optional gem-plugin-unicap_0.93.3-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPPrrEAAoJEOikiuUxHXZa7KoQAIrV+8tiVabc3Hq0IqL0upw+
GYu4YQaocA1vrYFhI4XwiN7l4+8KffZO4ytdiSXoUaC8rowvUZ7oO3kq2X3zk9eZ
upC3TJaEjQZ7enrXUT+45K+NY21A3IjwQz3HG9hkRuRhzt4ikSGBGjFxpbqkQmA8
45nBTP6cY0H5FYUg6kQO1wVSYvx5WUdHwqz8QREtSNN30/Zn9BYQlC60iix0BEEB
rG4bxdTyP0I5uKoZN+limYZDx8rFxPWDv09mwKsdAfB0/saWdWnmb11rf6KmjX+h
g/xRu3uAwBtn0dnBHST9puvArHtSMUf1eVn04YlgHSFwaVO3VmRViOGaCZnulAnC
lvy+qWzphuWKoLyQCNQPpCoWYoFuygk5DQJ8MNkdAz98P5VtkAA82AxfuVyXijP/
xnA61vl3xkT1umCxxgzaGwu/E88luvjHKWpvZ/DTrXKoTkL+EI9Lu75Dr1HzwlvV
El9otSQLnzxVRwQQdNLDfqR3lJvfAuI3Oaoi8el2WPqnQ3aIFsU7kZX7G8Y1YP/I
p765ZVUWz2EyfctBVfwez+CtFEPBhylyR/JmrsTfBkB2qjfEod4TzD+t4JoXtysM
YcosdFkOFYpDRhSTUQ4fK63BRWAd84ggL7X5hfedkbCwNLbV5TgBfQugQ0AZah7Q
8x8nmPbNJZmYJV6JDzXK
=6D+e
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Mar 2012 07:37:27 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 11 Jun 2012 12:49:45 GMT) Full text and rfc822 format available.

Bug reopened Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 11 Jun 2012 12:49:46 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'debian-bsd@lists.debian.org' from 'Christoph Egger <christoph@debian.org>' Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 11 Jun 2012 12:49:47 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions gem/1:0.93.3-3. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 11 Jun 2012 12:49:47 GMT) Full text and rfc822 format available.

Changed Bug title to 'gem: FTBFS(kfreebsd): missing headers' from 'gem: FTBFS(kfreebsd): gem::thread::WorkerThread::PIMPL::start()::timeval sleep' has incomplete type and cannot be defined' Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 11 Jun 2012 12:49:48 GMT) Full text and rfc822 format available.

Marked as found in versions gem/1:0.93.3-3. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 11 Jun 2012 12:49:49 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 11 Jun 2012 12:49:49 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Paul Brossier <piem@debian.org>:
Bug#659747; Package src:gem. (Mon, 11 Jun 2012 12:54:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Paul Brossier <piem@debian.org>. (Mon, 11 Jun 2012 12:54:22 GMT) Full text and rfc822 format available.

Message #36 received at 659747@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 659747@bugs.debian.org
Subject: Re: gem: FTBFS(kfreebsd): missing headers
Date: Mon, 11 Jun 2012 13:51:36 +0100
[Message part 1 (text/plain, inline)]
unarchive 659747
reopen 659747 debian-bsd@lists.debian.org
retitle 659747 gem: FTBFS(kfreebsd): missing headers
notfixed 659747 gem/1:0.93.3-3
found 659747 gem/1:0.93.3-3
tags 659747 + patch
user debian-gcc@lists.debian.org
usertags 659747 ftbfs-gcc-4.7
thanks

Hi IOhannes,

A small extra hunk is needed now in your patch to fix Gem/Dylib.cpp (due
to #673286 affecting a piece of kFreeBSD-specific code I think).

Please see attached.  Tested with a successful build on kfreebsd-i386.

Thanks!

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[fix_kFreeBSD_2.patch (text/x-patch, attachment)]

Reply sent to IOhannes m zmölnig <zmoelnig@iem.at>:
You have taken responsibility. (Mon, 11 Jun 2012 16:36:04 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Mon, 11 Jun 2012 16:36:04 GMT) Full text and rfc822 format available.

Message #41 received at 659747-close@bugs.debian.org (full text, mbox):

From: IOhannes m zmölnig <zmoelnig@iem.at>
To: 659747-close@bugs.debian.org
Subject: Bug#659747: fixed in gem 1:0.93.3-5
Date: Mon, 11 Jun 2012 16:32:31 +0000
Source: gem
Source-Version: 1:0.93.3-5

We believe that the bug you reported is fixed in the latest version of
gem, which is due to be installed in the Debian FTP archive:

gem-dev_0.93.3-5_all.deb
  to main/g/gem/gem-dev_0.93.3-5_all.deb
gem-doc_0.93.3-5_all.deb
  to main/g/gem/gem-doc_0.93.3-5_all.deb
gem-extra_0.93.3-5_amd64.deb
  to main/g/gem/gem-extra_0.93.3-5_amd64.deb
gem-plugin-dc1394_0.93.3-5_amd64.deb
  to main/g/gem/gem-plugin-dc1394_0.93.3-5_amd64.deb
gem-plugin-dv4l_0.93.3-5_amd64.deb
  to main/g/gem/gem-plugin-dv4l_0.93.3-5_amd64.deb
gem-plugin-gmerlin_0.93.3-5_amd64.deb
  to main/g/gem/gem-plugin-gmerlin_0.93.3-5_amd64.deb
gem-plugin-jpeg_0.93.3-5_amd64.deb
  to main/g/gem/gem-plugin-jpeg_0.93.3-5_amd64.deb
gem-plugin-lqt_0.93.3-5_amd64.deb
  to main/g/gem/gem-plugin-lqt_0.93.3-5_amd64.deb
gem-plugin-magick_0.93.3-5_amd64.deb
  to main/g/gem/gem-plugin-magick_0.93.3-5_amd64.deb
gem-plugin-mpeg3_0.93.3-5_amd64.deb
  to main/g/gem/gem-plugin-mpeg3_0.93.3-5_amd64.deb
gem-plugin-sgi_0.93.3-5_amd64.deb
  to main/g/gem/gem-plugin-sgi_0.93.3-5_amd64.deb
gem-plugin-tiff_0.93.3-5_amd64.deb
  to main/g/gem/gem-plugin-tiff_0.93.3-5_amd64.deb
gem-plugin-unicap_0.93.3-5_amd64.deb
  to main/g/gem/gem-plugin-unicap_0.93.3-5_amd64.deb
gem-plugin-v4l2_0.93.3-5_amd64.deb
  to main/g/gem/gem-plugin-v4l2_0.93.3-5_amd64.deb
gem_0.93.3-5.debian.tar.gz
  to main/g/gem/gem_0.93.3-5.debian.tar.gz
gem_0.93.3-5.dsc
  to main/g/gem/gem_0.93.3-5.dsc
gem_0.93.3-5_amd64.deb
  to main/g/gem/gem_0.93.3-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659747@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
IOhannes m zmölnig <zmoelnig@iem.at> (supplier of updated gem package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 11 Jun 2012 15:45:54 +0200
Source: gem
Binary: gem gem-doc gem-dev gem-extra gem-plugin-gmerlin gem-plugin-lqt gem-plugin-mpeg3 gem-plugin-magick gem-plugin-jpeg gem-plugin-tiff gem-plugin-sgi gem-plugin-v4l2 gem-plugin-dv4l gem-plugin-dc1394 gem-plugin-unicap
Architecture: source amd64 all
Version: 1:0.93.3-5
Distribution: unstable
Urgency: low
Maintainer: Paul Brossier <piem@debian.org>
Changed-By: IOhannes m zmölnig <zmoelnig@iem.at>
Description: 
 gem        - Graphics Environment for Multimedia - Pure Data library
 gem-dev    - Graphics Environment for Multimedia (development files)
 gem-doc    - Graphics Environment for Multimedia (documentation)
 gem-extra  - Graphics Environment for Multimedia - extra objects
 gem-plugin-dc1394 - Graphics Environment for Multimedia - DC1394 support
 gem-plugin-dv4l - Graphics Environment for Multimedia - DV support
 gem-plugin-gmerlin - Graphics Environment for Multimedia - GMERLIN support
 gem-plugin-jpeg - Graphics Environment for Multimedia - JPEG support
 gem-plugin-lqt - Graphics Environment for Multimedia - LQT support
 gem-plugin-magick - Graphics Environment for Multimedia - ImageMagick support
 gem-plugin-mpeg3 - Graphics Environment for Multimedia - MPEG support
 gem-plugin-sgi - Graphics Environment for Multimedia - SGI support
 gem-plugin-tiff - Graphics Environment for Multimedia - TIFF support
 gem-plugin-unicap - Graphics Environment for Multimedia - unicap support
 gem-plugin-v4l2 - Graphics Environment for Multimedia - V4L2 output support
Closes: 659747
Changes: 
 gem (1:0.93.3-5) unstable; urgency=low
 .
   [ IOhannes m zmölnig ]
   * Include <unistd.h> on FreeBSD as well (Closes: #659747)
Checksums-Sha1: 
 59e882e31fa836ef26d20645ee191dffe5c21a69 3086 gem_0.93.3-5.dsc
 5ef7ae799d5085f262bb7270a8c48e5747b9020c 21834 gem_0.93.3-5.debian.tar.gz
 e8f26c02b6781ee21a4a64866d1f87e5136a8178 1648514 gem_0.93.3-5_amd64.deb
 e80d0693d71ab12b7d1dff966e171a53c67a1edd 3444974 gem-doc_0.93.3-5_all.deb
 cda238f10d126e289931850c4265fcaeef182d13 309304 gem-dev_0.93.3-5_all.deb
 b4f93aeb85c4b67acbd2b2dd5e747865ab792efd 200854 gem-extra_0.93.3-5_amd64.deb
 89dc6cf7600ec0c480037c997b1bab472513b65e 143678 gem-plugin-gmerlin_0.93.3-5_amd64.deb
 6e143e9e65677a425ad9fa3d7ea83157cf7d9bf6 165058 gem-plugin-lqt_0.93.3-5_amd64.deb
 7316b78a1417388f33148375c2d8aa6b7a8d9f7a 145016 gem-plugin-mpeg3_0.93.3-5_amd64.deb
 56b715606951688be076ecf83fd4725742647016 148882 gem-plugin-magick_0.93.3-5_amd64.deb
 c545f155824b7fba0abaa423012e9c8d76ca3cfc 145306 gem-plugin-jpeg_0.93.3-5_amd64.deb
 3c0ad81c28da2a875c1542df2ce50f3c69d25a4b 143286 gem-plugin-tiff_0.93.3-5_amd64.deb
 dcbd61fa856b19697d289f210837b3639bdbb9a7 153336 gem-plugin-sgi_0.93.3-5_amd64.deb
 8dcabdd297097cb5cadaa2a9760e8560fc21493a 176236 gem-plugin-v4l2_0.93.3-5_amd64.deb
 93118e957ab711c69f7b8de9e127feb18f26a9aa 154798 gem-plugin-dv4l_0.93.3-5_amd64.deb
 d75bc20a453a9112b83ddb6124ea70d51ac9c898 162494 gem-plugin-dc1394_0.93.3-5_amd64.deb
 bf7b17804466923ab762e88ecdcd94b8b263b099 161288 gem-plugin-unicap_0.93.3-5_amd64.deb
Checksums-Sha256: 
 2ac257932f88ecd44ea0486438f8fda897dd6fa28fc6b9ec9af5ba6b5f602c87 3086 gem_0.93.3-5.dsc
 5004bea7ee6c7ef390f76022a688b0baa7d859209546061ff199a7db8360af00 21834 gem_0.93.3-5.debian.tar.gz
 6ec692eefacaa3cc50fbf5e3e8924b19cb543717207c332c8df87f16b3d61fd5 1648514 gem_0.93.3-5_amd64.deb
 623f1ee5cb4f006bbb05c65275a09708cb9ec4eda527cc0e0722b5a87290e76b 3444974 gem-doc_0.93.3-5_all.deb
 df542db688e283febd7a0076321f42c478f51eab91a3a6b4fa92d8d8b7476cc8 309304 gem-dev_0.93.3-5_all.deb
 d92da76b08966304786c1ccf2a880aff7dd15ae80c0cb6af40b19dbee80b5ca9 200854 gem-extra_0.93.3-5_amd64.deb
 df561ab8fd450ab2b71d8d1851c3fe82594c2a824e70478bd80d722a9326b681 143678 gem-plugin-gmerlin_0.93.3-5_amd64.deb
 3d07fc1092403e85d0fa7bd3d5a6e2a06de4d38882197763b981254edccd2bcf 165058 gem-plugin-lqt_0.93.3-5_amd64.deb
 6b9a8d71af8e0f51fb49f495cc57ca8ea435fc141ac55088f4d71f2be631366a 145016 gem-plugin-mpeg3_0.93.3-5_amd64.deb
 a2fef6285364ecaf3b0b4b1d330a13b0ad3b156a90cd8497fe5445083f96ecdf 148882 gem-plugin-magick_0.93.3-5_amd64.deb
 639cb28d7b773837e1e33412f08d85a22c5cb7c424d8836ea774006e5646dd4d 145306 gem-plugin-jpeg_0.93.3-5_amd64.deb
 74bab2e92d8369b7747c89965ed2cd08ed636723b10a69a4e517db640087a91c 143286 gem-plugin-tiff_0.93.3-5_amd64.deb
 e551da94d286ec3e91f774613b77eb2610bb73905eccbb4872cfa9dd2c69b920 153336 gem-plugin-sgi_0.93.3-5_amd64.deb
 555ffe94481c106c0d0197f864082d733779710c2ff4cf7894ef5a025d828072 176236 gem-plugin-v4l2_0.93.3-5_amd64.deb
 bfa83d8bbe5d6bbfaa7aa6964f8224b283417384c37d69454811b7cd242efb61 154798 gem-plugin-dv4l_0.93.3-5_amd64.deb
 1e58bae688174291019a92ca330932576ee128291b21dcab939ae2b1706eb588 162494 gem-plugin-dc1394_0.93.3-5_amd64.deb
 f356050379490bc2180b9e12f561af7897f5eb793bc44d925fbf1c2fc67b9c04 161288 gem-plugin-unicap_0.93.3-5_amd64.deb
Files: 
 826f11a0a9d2ecb4b72061b11b8158e4 3086 graphics optional gem_0.93.3-5.dsc
 d426be59734ddc4b5ea8cd11c6cd7bed 21834 graphics optional gem_0.93.3-5.debian.tar.gz
 962a8e2cfe0cbb8cfd96e7fe0d6545ff 1648514 graphics optional gem_0.93.3-5_amd64.deb
 967a3ba669f0bec998a78d29a0eafcf9 3444974 doc optional gem-doc_0.93.3-5_all.deb
 f5697f361606244d5895c30101c8f32b 309304 libdevel optional gem-dev_0.93.3-5_all.deb
 f7005017cb657da91de4aa5b07e4a686 200854 graphics optional gem-extra_0.93.3-5_amd64.deb
 407e96b288d4c019de679f9af722869c 143678 graphics optional gem-plugin-gmerlin_0.93.3-5_amd64.deb
 80e2c95f38af84433eb313dc24ae1114 165058 graphics optional gem-plugin-lqt_0.93.3-5_amd64.deb
 2f0508a4e960ef3ba75959358fc4a263 145016 graphics optional gem-plugin-mpeg3_0.93.3-5_amd64.deb
 c4bfdb1163a0d4cf859a8e058d516d4f 148882 graphics optional gem-plugin-magick_0.93.3-5_amd64.deb
 15a085e79473a8971a83abe31d791795 145306 graphics optional gem-plugin-jpeg_0.93.3-5_amd64.deb
 a1c6c9350c98f6f49e5fc75112f227f3 143286 graphics optional gem-plugin-tiff_0.93.3-5_amd64.deb
 36f9bcf7295871d85499abe30af5f9f1 153336 graphics optional gem-plugin-sgi_0.93.3-5_amd64.deb
 4f92f89b62a4e47612f01b31a1c61496 176236 graphics optional gem-plugin-v4l2_0.93.3-5_amd64.deb
 f895f12688bb63321ce5e977f53b2cc1 154798 graphics optional gem-plugin-dv4l_0.93.3-5_amd64.deb
 79bb2a00f7a60d9dd2d4c4619ebcce7a 162494 graphics optional gem-plugin-dc1394_0.93.3-5_amd64.deb
 3b480db7ae16e17bce384367a39d3ebf 161288 graphics optional gem-plugin-unicap_0.93.3-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJP1hohAAoJEOikiuUxHXZavgsP/imt5Y8K4Vmcm+b2jTSDvQxs
I0xk+f9E/Qll2+WZM9QpTbMtEwpKQfxHP9hVSLCl6FKVC/0I/O08T7Qe+5lBG0Nq
nzIMorWp2Q2ju1I8sa1XXyxHukJ3+IC2ZDlFbbRzabMH3ImxGHpapZ3zYvFeJsAm
DVZMhF+bvFZ8w8eVWNSVvqi7ZpP2Fxlm0/gwRbpj52vw9opSPU0yA5JHxGU6hzYJ
KL+1EJtfARPiSlXTLUOJI7Ohsbn9BEyJa5IAGP3X2CyFj3pqH2mVOZdc2z0bOWGA
8/LZzBy7z4jzg0oE8FFA5COvvG1GKdUkJSU8mX19e6aMO6ou/8CvDbOTaA4I4i8/
BZ70R5dbitU5tuEE9VE0XCgMQTicka/38xfsvBM72CdqGLiS3JjaWWSOyqJnfLk1
H6LYhd6vX076CvmWqJlgiln5lCEo2FUlQWbc23I423cxj8tRkGGb816RSh4/0o8M
hAgACQY1EDaayngoy6q/tRdtxMarUqTMrPLPDCAtK0BO5+5RxihHXvEEBe/f6s52
JxWz/mRc3GYLcj1pQxv38Vmq4Hty1Yc4DC1JSOANvFLHkFIEvr9OgYdtfHLb2x8Z
wzFYujhixralPM6LtvGR04XCia+NsytT/KpJ5dfeopkdWNo6F7gvsOtGLGJEzcpr
SQjhlgmdWNBPND7DlDef
=WRx9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 Jul 2012 07:29:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:38:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.